Subject: Re: [PATCH v5 0/8] make statx() return DIO alignment information

From: Stephen Rothwell <[email-masked]>
Date: Tue, 13 Sep 2022 06:30:25 +1000

Hi Eric,

On Sun, 11 Sep 2022 19:54:12 -0500 Eric Biggers <[email-masked]> wrote:
>
> On Tue, Sep 06, 2022 at 03:08:51PM -0700, Eric Biggers wrote:
> > On Fri, Aug 26, 2022 at 11:58:43PM -0700, Eric Biggers wrote:  
> > > This patchset makes the statx() system call return direct I/O (DIO)
> > > alignment information.  This allows userspace to easily determine
> > > whether a file supports DIO, and if so with what alignment restrictions.  
> > 
> > Al, any thoughts on this patchset, and do you plan to apply it for 6.1?  Ideally
> > this would go through the VFS tree.  If not, I suppose I'll need to have it
> > added to linux-next and send the pull request myself.
> > 
> > - Eric  
> 
> Seems that it's up to me, then.
> 
> Stephen, can you add my git branch for this patchset to linux-next?
> 
> URL: https://git.kernel.org/pub/scm/linux/kernel/git/ebiggers/linux.git
> Branch: statx-dioalign
> 
> This is targeting the 6.1 merge window with a pull request to Linus.

Added from today.

Thanks for adding your subsystem tree as a participant of linux-next.  As
you may know, this is not a judgement of your code.  The purpose of
linux-next is for integration testing and to lower the impact of
conflicts between subsystems in the next merge window. 

You will need to ensure that the patches/commits in your tree/series have
been:
     * submitted under GPL v2 (or later) and include the Contributor's
        Signed-off-by,
     * posted to the relevant mailing list,
     * reviewed by you (or another maintainer of your subsystem tree),
     * successfully unit tested, and 
     * destined for the current or next Linux merge window.

Basically, this should be just what you would send to Linus (or ask him
to fetch).  It is allowed to be rebased if you deem it necessary.

-- 
Cheers,
Stephen Rothwell 
[email-masked]